%define name loemu
%define version 0.2.1
%define distsuffix plf
%define release %mkrel 1

Summary: A simple python front-end for various emulators
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://loemu.pegueroles.com/dists/%{name}-%{version}.tar.gz
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
#http://www.progettoemma.net/public/ccount/click.php?id=6 #0.121u1
Source20: catveren.zip
Source30: nplayers0121.zip
Source40: %{name}-0.2.1-fr.po.tar.bz2 
Patch0: %{name}-0.2.1-default-config.patch
Group: Emulators
License: GPL
URL: http://loemu.pegueroles.com/
BuildRequires: python-devel
# >2.4
BuildRequires: pygtk2.0-libglade
BuildRequires: python-libxslt
BuildRequires: unzip
BuildRequires: intltool
Requires: pygtk2.0-libglade
Requires: python-libxslt
BuildRoot: %_tmppath/%{name}-build
BuildArch: noarch

%description
Loemu provides a simple frontend for various emulators.

It currently supports game emulation with xmame, sdlmame and snes9x.
But the design of loemu allows the support of more emulators adding specific 
emulator configuration files. 

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q
%patch0 -p1
unzip -CoLa %{SOURCE20} catver.ini -d config
unzip -CoLaa %{SOURCE30} nplayers.ini -d config
unzip -CoLaaj %{SOURCE30} docs/nplayers.txt
tar -xvjf %{SOURCE40}

%build
python setup.py build 

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

#icons
install -d -m 755 %{buildroot}/%{_miconsdir}
install -m 644 %{SOURCE10} %{buildroot}/%{_miconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 %{SOURCE11} %{buildroot}/%{_iconsdir}/%{name}.png
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{SOURCE12} %{buildroot}/%{_liconsdir}/%{name}.png

#menu item
#old debian-type menu
install -d -m 755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
section="More Applications/Emulators" \
title="Loemu" \
longtitle="%{summary}" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
xdg="true"
EOF

#xdg menu
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Loemu
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

#config warning
cat > README.update.urpmi << EOF
As some files moved from gamesdatadir to datadir, loemu will not work unless 
you delete or update your config in your home.
For example, using "rm -rf ~/.loemu".
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README nplayers.txt README.update.urpmi
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/flyers
%dir %{_datadir}/%{name}/roms
%dir %{_datadir}/%{name}/snaps
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%clean
rm -rf %{buildroot}

%changelog
* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.2.1-1plf2008.1
- 0.2.1
- french translation and patch update

* Sat Jul 14 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-4plf2008.0
- changed the path from the real sdlmame binary to the wrapper
- buildreq intltool

* Sun Jun 24 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-3plf2008.0
- french translation fixes

* Thu Jun 21 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-2plf2008.0
- Added a french translation 

* Tue Jun 19 2007 Guillaume Bedot <littletux@zarb.org> 0.2.0-1plf2008.0
- Release 0.2.0
- Updated custom config (added nplayers.ini), warning when updating

* Mon May 21 2007 Guillaume Bedot <littletux@zarb.org> 0.1.1-2plf2008.0
- Req and buildreq fixes
- Custom config : catver.ini + allow cheats

* Wed May 16 2007 Guillaume Bedot <littletux@zarb.org> 0.1.1-1plf2008.0
- First package for PLF
